Alokai
You are reading the documentation for v7.x and earlier, which is no longer the latest version. Switch to v8.x

getUserAddress

Get customer address from SAP Commerce Cloud.

This method exchanges data with the getAddress endpoint exposed by the SAP OCC API Address Controller.

The method fetches customer address based on the vsf-sap-token cookie (which is assigned to that customer). The cookie must be present in the request for the method to work properly.

Signature

export declare function getUserAddress(
	context: SapccIntegrationContext,
	props: GetAddressProps
): Promise<Address>;

Parameters

NameRequiredTypeDescription
contextRequiredSapccIntegrationContext
propsRequiredGetAddressPropsParameter object which can be used with this method. Refer to its type definition to learn about possible properties.

Returns

Returns a representation of an Address.

Referenced Types

Examples

Fetching a customer address.

import { sdk } from '~/sdk';

const address = await sdk.commerce.getUserAddress({ addressId: '8796879552535' });

Fetching a customer address and selecting response fields.

import { sdk } from '~/sdk';

const address = await sdk.commerce.getUserAddress({
  addressId: '8796879552535',
  fields: 'firstName,lastName'
});

On this page